Subject: Interix packages: important fix for bootstrap, perl, curl
To: None <>
From: Todd Vierling <>
List: tech-pkg
Date: 04/28/2004 09:32:41
So it seems the whole poll(2) business is bad.  Very bad.  sigh.

I've updated the bootstrap-pkgsrc tarball on; the new one can
be found here:

It is safe to extract this over top of an existing install, but make sure
you use /bin/tar (as /usr/pkg/bin/tar will be unhappy deleting itself during
the extract).

Two binary packages on were afflicted by this problem:  perl
and curl.  I've already updated the perl binpkg, so please do update your
system if you have installed it.  I'm rebuilding curl now and will upload it

pkgsrc/mk/ now has necessary fixes to make most autoconf-based packages
build properly, ignoring poll(2), but I'm not making any guarantees yet
about anything for which I haven't made a binary package.

-- Todd Vierling <> <>